Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Interface ValidationEvent

All Known Subinterfaces:
  NotIdentifiableEvent, ParseConversionEvent, PrintConversionEvent

All Known Implementing Classes:
  NotIdentifiableEventImpl, ParseConversionEventImpl, PrintConversionEventImpl, ValidationEventImpl

    public interface ValidationEvent

This event indicates that a problem was encountered while validating the incoming XML data during an unmarshal operation, while performing on-demand validation of the Java content tree, or while marshalling the Java content tree back to XML data.

Since:
  JAXB1.0
See Also:
  `Validator`, `ValidationEventHandler`

Field Summary
`static int` | `ERROR` Conditions that correspond to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation
`static int` | `FATAL_ERROR` Conditions that correspond to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation
`static int` | `WARNING` Conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation

Method Summary
`Throwable` | `getLinkedException()` Retrieve the linked exception for this warning/error.
`ValidationEventLocator` | `getLocator()` Retrieve the locator for this warning/error.
`String` | `getMessage()` Retrieve the text message for this warning/error.
`int` | `getSeverity()` Retrieve the severity code for this warning/error.

Field Detail

### WARNING

    static final int WARNING

  Conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  Conditions that correspond to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation

  See Also:
    Constant Field Values

### FATAL_ERROR

    static final int FATAL_ERROR

  Conditions that correspond to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation

  See Also:
    Constant Field Values

Method Detail

### getSeverity

    int getSeverity()

  Retrieve the severity code for this warning/error.

  Must be one of `ValidationError.WARNING`, `ValidationError.ERROR`, or `ValidationError.FATAL_ERROR`.

  Returns:
    the severity code for this warning/error

### getMessage

    String getMessage()

  Retrieve the text message for this warning/error.

  Returns:
    the text message for this warning/error or null if one wasn't set

### getLinkedException

    Throwable getLinkedException()

  Retrieve the linked exception for this warning/error.

  Returns:
    the linked exception for this warning/error or null if one wasn't set

### getLocator

    ValidationEventLocator getLocator()

  Retrieve the locator for this warning/error.

  Returns:
    the locator that indicates where the warning/error occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.